/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.mangue.client.gui.vacations;

import org.cocktail.mangue.common.utilities.CocktailIcones;

/**
 *
 * @author  cpinsard
 */
public class SaisieVacationView extends javax.swing.JDialog {

	/**
	 * 
	 */
	private static final long serialVersionUID = -7274843962894206085L;

	/** Creates new form TemplateJDialog */
    public SaisieVacationView(java.awt.Frame parent, boolean modal) {
        super(parent, modal);
                
        initComponents();
        initGui();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        btnAnnuler = new javax.swing.JButton();
        btnValider = new javax.swing.JButton();
        PanelData = new javax.swing.JPanel();
        btnGetCorps = new javax.swing.JButton();
        tfLibelleCorps = new javax.swing.JTextField();
        btnGetGrade = new javax.swing.JButton();
        tfLibelleGrade = new javax.swing.JTextField();
        jLabel10 = new javax.swing.JLabel();
        btnDelCorps = new javax.swing.JButton();
        btnDelGrade = new javax.swing.JButton();
        btnGetProfession = new javax.swing.JButton();
        tfLibelleProfession = new javax.swing.JTextField();
        jLabel12 = new javax.swing.JLabel();
        tfEnseignement = new javax.swing.JTextField();
        jLabel13 = new javax.swing.JLabel();
        jLabel20 = new javax.swing.JLabel();
        tfObservations = new javax.swing.JTextField();
        btnDelProfession = new javax.swing.JButton();
        btnGetCnu = new javax.swing.JButton();
        jLabel3 = new javax.swing.JLabel();
        tfLibelleCnu = new javax.swing.JTextField();
        btnDelCnu = new javax.swing.JButton();
        tfCodeCnu = new javax.swing.JTextField();
        jLabel15 = new javax.swing.JLabel();
        jLabel11 = new javax.swing.JLabel();
        tfUai = new javax.swing.JTextField();
        btnGetUai = new javax.swing.JButton();
        btnDelUai = new javax.swing.JButton();
        jLabel4 = new javax.swing.JLabel();
        tfNoArrete = new javax.swing.JTextField();
        swapViewEmployeurs = new javax.swing.JPanel();
        viewAdresseVacation = new javax.swing.JPanel();
        tfAdresse = new javax.swing.JTextField();
        jLabel16 = new javax.swing.JLabel();
        tfComplement = new javax.swing.JTextField();
        jLabel17 = new javax.swing.JLabel();
        jLabel1 = new javax.swing.JLabel();
        tfCodePostal = new javax.swing.JTextField();
        jLabel18 = new javax.swing.JLabel();
        jLabel19 = new javax.swing.JLabel();
        jSeparator1 = new javax.swing.JSeparator();
        popupVilles = new javax.swing.JComboBox();
        btnDelAdresse = new javax.swing.JButton();
        jPanel2 = new javax.swing.JPanel();
        tfHeures = new javax.swing.JTextField();
        jLabel25 = new javax.swing.JLabel();
        jLabel27 = new javax.swing.JLabel();
        checkTitulaire = new javax.swing.JCheckBox();
        tfIdentite = new javax.swing.JTextField();
        tfTauxHoraire = new javax.swing.JTextField();
        jLabel21 = new javax.swing.JLabel();
        jLabel26 = new javax.swing.JLabel();
        tfDateDebut = new javax.swing.JTextField();
        tfDateFin = new javax.swing.JTextField();
        jLabel24 = new javax.swing.JLabel();
        checkSigne = new javax.swing.JCheckBox();
        jLabel14 = new javax.swing.JLabel();
        jLabel22 = new javax.swing.JLabel();
        jLabel29 = new javax.swing.JLabel();
        tfTauxHoraireRealise = new javax.swing.JTextField();
        tfHeuresRealisees = new javax.swing.JTextField();
        checkPersEtab = new javax.swing.JCheckBox();
        checkPaiementPonctuel = new javax.swing.JCheckBox();
        jLabel28 = new javax.swing.JLabel();
        checkEnseignant = new javax.swing.JCheckBox();
        checkDepassementAuto = new javax.swing.JCheckBox();
        checkAutorisationCumul = new javax.swing.JCheckBox();
        viewTypeContrat = new javax.swing.JPanel();
        tfTypeContrat = new javax.swing.JTextField();
        jLabel23 = new javax.swing.JLabel();
        btnDelTypeContrat = new javax.swing.JButton();
        btnSelectTypeContrat = new javax.swing.JButton();
        jSeparator2 = new javax.swing.JSeparator();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("FICHE DE VACATION");

        btnAnnuler.setText("Annuler");
        btnAnnuler.setToolTipText("Annuler la saisie");
        btnAnnuler.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnAnnulerActionPerformed(evt);
            }
        });

        btnValider.setText("Valider");
        btnValider.setToolTipText("Valider la saisie");
        btnValider.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnValiderActionPerformed(evt);
            }
        });

        btnGetCorps.setToolTipText("Sélection d'un corps");

        tfLibelleCorps.setEditable(false);
        tfLibelleCorps.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfLibelleCorps.setToolTipText("");

        btnGetGrade.setToolTipText("Saisie d'un grade");

        tfLibelleGrade.setEditable(false);
        tfLibelleGrade.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfLibelleGrade.setToolTipText("");

        jLabel10.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel10.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel10.setText("Corps");

        btnDelCorps.setToolTipText("Suppression du corps");

        btnDelGrade.setToolTipText("Suppression du grade");

        btnGetProfession.setToolTipText("Saisie d'une profession");

        tfLibelleProfession.setEditable(false);
        tfLibelleProfession.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfLibelleProfession.setToolTipText("");
        tfLibelleProfession.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfLibelleProfessionActionPerformed(evt);
            }
        });

        jLabel12.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel12.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel12.setText("Profession");

        tfEnseignement.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfEnseignement.setToolTipText("");
        tfEnseignement.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfEnseignementActionPerformed(evt);
            }
        });

        jLabel13.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel13.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel13.setText("Enseignement");

        jLabel20.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel20.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel20.setText("Observations");

        tfObservations.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfObservations.setToolTipText("");
        tfObservations.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfObservationsActionPerformed(evt);
            }
        });

        btnDelProfession.setToolTipText("Saisie d'une profession");

        jLabel3.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
        jLabel3.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel3.setText("CNU");

        tfLibelleCnu.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N

        tfCodeCnu.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        jLabel15.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel15.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel15.setText("Grade");

        jLabel11.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel11.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel11.setText("UAI");

        tfUai.setEditable(false);
        tfUai.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfUai.setToolTipText("");

        btnGetUai.setToolTipText("Sélection d'un corps");

        btnDelUai.setToolTipText("Suppression du corps");

        jLabel4.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
        jLabel4.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel4.setText("Arrêté");

        tfNoArrete.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        org.jdesktop.layout.GroupLayout PanelDataLayout = new org.jdesktop.layout.GroupLayout(PanelData);
        PanelData.setLayout(PanelDataLayout);
        PanelDataLayout.setHorizontalGroup(
            PanelDataLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(PanelDataLayout.createSequentialGroup()
                .addContainerGap()
                .add(PanelDataLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jLabel11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 84, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(PanelDataLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                        .add(org.jdesktop.layout.GroupLayout.TRAILING, jLabel20, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .add(org.jdesktop.layout.GroupLayout.TRAILING, jLabel12, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .add(jLabel10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 84, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(PanelDataLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(PanelDataLayout.createSequentialGroup()
                        .add(PanelDataLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, tfLibelleProfession)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, tfLibelleCorps)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, tfUai, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 350, Short.MAX_VALUE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(PanelDataLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, PanelDataLayout.createSequentialGroup()
                                .add(btnGetUai, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(7, 7, 7)
                                .add(btnDelUai, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(org.jdesktop.layout.GroupLayout.LEADING, PanelDataLayout.createSequentialGroup()
                                .add(btnGetProfession, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnDelProfession, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(org.jdesktop.layout.GroupLayout.LEADING, PanelDataLayout.createSequentialGroup()
                                .add(btnGetCorps, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(7, 7, 7)
                                .add(btnDelCorps, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                    .add(tfObservations, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 408, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(PanelDataLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                    .add(jLabel4, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(jLabel3, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(jLabel15, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(jLabel13, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 109, Short.MAX_VALUE))
                .add(10, 10, 10)
                .add(PanelDataLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(PanelDataLayout.createSequentialGroup()
                        .add(PanelDataLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(PanelDataLayout.createSequentialGroup()
                                .add(tfCodeCnu, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 49, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfLibelleCnu))
                            .add(tfLibelleGrade, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 365, Short.MAX_VALUE))
                        .add(10, 10, 10)
                        .add(PanelDataLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(PanelDataLayout.createSequentialGroup()
                                .add(btnGetGrade, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnDelGrade, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(PanelDataLayout.createSequentialGroup()
                                .add(btnGetCnu, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnDelCnu, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, tfNoArrete)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, tfEnseignement, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 427, Short.MAX_VALUE))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        PanelDataLayout.setVerticalGroup(
            PanelDataLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(PanelDataLayout.createSequentialGroup()
                .addContainerGap()
                .add(PanelDataLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(PanelDataLayout.createSequentialGroup()
                        .add(tfEnseignement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(13, 13, 13)
                        .add(PanelDataLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(PanelDataLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                .add(btnDelGrade, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(btnGetGrade, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(tfLibelleGrade, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(13, 13, 13)
                        .add(PanelDataLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(PanelDataLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                                .add(tfCodeCnu, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(tfLibelleCnu, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(jLabel3))
                            .add(btnDelCnu, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(btnGetCnu, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfNoArrete, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(PanelDataLayout.createSequentialGroup()
                        .add(PanelDataLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(PanelDataLayout.createSequentialGroup()
                                .add(PanelDataLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(PanelDataLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                                        .add(jLabel11)
                                        .add(tfUai, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .add(jLabel13))
                                .add(13, 13, 13)
                                .add(PanelDataLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(PanelDataLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                                        .add(jLabel10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .add(tfLibelleCorps, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .add(jLabel15))
                                .add(11, 11, 11)
                                .add(PanelDataLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                                    .add(jLabel12)
                                    .add(tfLibelleProfession, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                            .add(PanelDataLayout.createSequentialGroup()
                                .add(PanelDataLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(btnGetUai, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(btnDelUai, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(PanelDataLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(btnGetCorps, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(btnDelCorps, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                .add(11, 11, 11)
                                .add(PanelDataLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(btnGetProfession, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(btnDelProfession, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(PanelDataLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel20)
                            .add(tfObservations, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel4))))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        swapViewEmployeurs.setLayout(new java.awt.CardLayout());

        tfAdresse.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfAdresse.setToolTipText("");

        jLabel16.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel16.setText("Complément");

        tfComplement.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfComplement.setToolTipText("");

        jLabel17.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel17.setText("Adresse");

        jLabel1.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
        jLabel1.setText("ADRESSE VACATION - ");

        tfCodePostal.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfCodePostal.setToolTipText("");

        jLabel18.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel18.setText("Code Postal");

        jLabel19.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel19.setText("Ville");

        popupVilles.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        btnDelAdresse.setToolTipText("Suppression de l'adresse sélectionnée");

        org.jdesktop.layout.GroupLayout viewAdresseVacationLayout = new org.jdesktop.layout.GroupLayout(viewAdresseVacation);
        viewAdresseVacation.setLayout(viewAdresseVacationLayout);
        viewAdresseVacationLayout.setHorizontalGroup(
            viewAdresseVacationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(viewAdresseVacationLayout.createSequentialGroup()
                .addContainerGap()
                .add(viewAdresseVacationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jSeparator1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 1070, Short.MAX_VALUE)
                    .add(viewAdresseVacationLayout.createSequentialGroup()
                        .add(viewAdresseVacationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                            .add(jLabel18, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .add(jLabel17, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 90, Short.MAX_VALUE)
                            .add(jLabel16))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(viewAdresseVacationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, viewAdresseVacationLayout.createSequentialGroup()
                                .add(tfCodePostal, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 68, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(2, 2, 2)
                                .add(jLabel19, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 30, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(popupVilles, 0, 735, Short.MAX_VALUE))
                            .add(org.jdesktop.layout.GroupLayout.LEADING, tfComplement, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 847, Short.MAX_VALUE)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, tfAdresse, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 847, Short.MAX_VALUE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnDelAdresse, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(93, 93, 93))
                    .add(jLabel1))
                .addContainerGap())
        );
        viewAdresseVacationLayout.setVerticalGroup(
            viewAdresseVacationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(viewAdresseVacationLayout.createSequentialGroup()
                .addContainerGap()
                .add(jLabel1)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jSeparator1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(viewAdresseVacationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(viewAdresseVacationLayout.createSequentialGroup()
                        .add(viewAdresseVacationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(tfAdresse, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel17))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(viewAdresseVacationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(tfComplement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel16))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(viewAdresseVacationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel18)
                            .add(jLabel19)
                            .add(tfCodePostal, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(popupVilles, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                    .add(btnDelAdresse, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        tfHeures.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        jLabel25.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        jLabel25.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel25.setText("PERIODE");

        jLabel27.setFont(new java.awt.Font("Tahoma", 1, 11)); // NOI18N
        jLabel27.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel27.setText("AU");

        checkTitulaire.setText("Fonctionnaire");
        checkTitulaire.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);

        tfIdentite.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        tfIdentite.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfIdentite.setText("jTextField1");
        tfIdentite.setFocusable(false);

        tfTauxHoraire.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        jLabel21.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel21.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel21.setText("Taux ");

        jLabel26.setFont(new java.awt.Font("Tahoma", 1, 11)); // NOI18N
        jLabel26.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel26.setText("DU");

        tfDateDebut.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfDateDebut.setToolTipText("");
        tfDateDebut.setNextFocusableComponent(tfDateFin);

        tfDateFin.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfDateFin.setToolTipText("");
        tfDateFin.setNextFocusableComponent(tfHeures);

        jLabel24.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        jLabel24.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel24.setText("IDENTITE");

        checkSigne.setText("SIGNE");
        checkSigne.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkSigneActionPerformed(evt);
            }
        });

        jLabel14.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel14.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel14.setText("Heures :");

        jLabel22.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel22.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel22.setText("Taux ");

        jLabel29.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel29.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel29.setText("REALISE :   Heures ");

        tfTauxHoraireRealise.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        tfHeuresRealisees.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        checkPersEtab.setText("Pers. Etablissement");

        checkPaiementPonctuel.setText("A Payer");

        jLabel28.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        jLabel28.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel28.setText("PREVISION");

        checkEnseignant.setText("Vacation d'enseignement");
        checkEnseignant.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);

        checkDepassementAuto.setText("Dépassement auto d'heures à payer");
        checkDepassementAuto.setToolTipText("Dépassement automatique des heures à payer");
        checkDepassementAuto.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkDepassementAutoActionPerformed(evt);
            }
        });

        checkAutorisationCumul.setText("Autorisation de cumul");
        checkAutorisationCumul.setToolTipText("L'autorisation de cumul a t elle été fournie");
        checkAutorisationCumul.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkAutorisationCumulActionPerformed(evt);
            }
        });

        org.jdesktop.layout.GroupLayout jPanel2Layout = new org.jdesktop.layout.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel2Layout.createSequentialGroup()
                        .add(jLabel25, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 84, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel26, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 83, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfDateDebut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 89, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jLabel27, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 54, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfDateFin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 98, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(27, 27, 27)
                        .add(checkEnseignant, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 183, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(checkPaiementPonctuel)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(checkSigne, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 64, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(checkDepassementAuto, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 255, Short.MAX_VALUE))
                    .add(jPanel2Layout.createSequentialGroup()
                        .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jPanel2Layout.createSequentialGroup()
                                .add(jLabel24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 84, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfIdentite, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 583, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(checkTitulaire)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(checkPersEtab, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 155, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(jPanel2Layout.createSequentialGroup()
                                .add(jLabel28, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 84, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabel14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 83, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfHeures, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 90, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(jLabel21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 53, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfTauxHoraire, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 100, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabel29)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfHeuresRealisees, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 66, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabel22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 56, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfTauxHoraireRealise, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 66, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(18, 18, 18)
                                .add(checkAutorisationCumul, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 167, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                        .add(0, 0, Short.MAX_VALUE)))
                .addContainerGap())
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel24)
                    .add(tfIdentite, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(checkTitulaire)
                    .add(checkPersEtab))
                .add(18, 18, 18)
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel25)
                    .add(tfDateDebut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel27)
                    .add(tfDateFin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel26)
                    .add(checkEnseignant)
                    .add(checkPaiementPonctuel)
                    .add(checkSigne)
                    .add(checkDepassementAuto))
                .add(8, 8, 8)
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel28)
                    .add(jLabel14)
                    .add(tfHeures, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel21)
                    .add(tfTauxHoraire, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel29)
                    .add(jLabel22)
                    .add(tfHeuresRealisees, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(tfTauxHoraireRealise, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(checkAutorisationCumul))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        tfTypeContrat.setEditable(false);
        tfTypeContrat.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfTypeContrat.setToolTipText("");

        jLabel23.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel23.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel23.setText("Type de vacation : ");
        jLabel23.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);

        btnDelTypeContrat.setToolTipText("Suppression du grade");

        btnSelectTypeContrat.setToolTipText("Saisie d'un grade");

        org.jdesktop.layout.GroupLayout viewTypeContratLayout = new org.jdesktop.layout.GroupLayout(viewTypeContrat);
        viewTypeContrat.setLayout(viewTypeContratLayout);
        viewTypeContratLayout.setHorizontalGroup(
            viewTypeContratLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(viewTypeContratLayout.createSequentialGroup()
                .addContainerGap()
                .add(jLabel23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 182, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(1, 1, 1)
                .add(tfTypeContrat, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 510, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .add(btnSelectTypeContrat, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(btnDelTypeContrat, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(209, 209, 209))
        );
        viewTypeContratLayout.setVerticalGroup(
            viewTypeContratLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(viewTypeContratLayout.createSequentialGroup()
                .add(13, 13, 13)
                .add(viewTypeContratLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                    .add(jLabel23, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(btnDelTypeContrat, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(btnSelectTypeContrat, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, tfTypeContrat, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, viewAdresseVacation, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, jPanel2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, PanelData, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, swapViewEmployeurs, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .add(layout.createSequentialGroup()
                                .add(btnAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 96, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnValider, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 96, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                        .add(0, 0, Short.MAX_VALUE))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, jSeparator2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 1094, Short.MAX_VALUE))
                .addContainerGap())
            .add(layout.createSequentialGroup()
                .add(66, 66, 66)
                .add(viewTypeContrat, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 831, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(viewTypeContrat, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 45, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jSeparator2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(PanelData, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(swapViewEmployeurs, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 195, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(viewAdresseVacation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(btnAnnuler)
                    .add(btnValider))
                .addContainerGap())
        );

        setSize(new java.awt.Dimension(1126, 814));
        setLocationRelativeTo(null);
    }// </editor-fold>//GEN-END:initComponents

private void btnValiderActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnValiderActionPerformed
// TODO add your handling code here:
}//GEN-LAST:event_btnValiderActionPerformed

private void btnAnnulerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnAnnulerActionPerformed
// TODO add your handling code here:
}//GEN-LAST:event_btnAnnulerActionPerformed

private void tfLibelleProfessionActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfLibelleProfessionActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_tfLibelleProfessionActionPerformed

private void tfEnseignementActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfEnseignementActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_tfEnseignementActionPerformed

private void tfObservationsActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfObservationsActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_tfObservationsActionPerformed

private void checkSigneActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkSigneActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_checkSigneActionPerformed

private void checkDepassementAutoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkDepassementAutoActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_checkDepassementAutoActionPerformed

private void checkAutorisationCumulActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkAutorisationCumulActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_checkAutorisationCumulActionPerformed

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
            	SaisieVacationView dialog = new SaisieVacationView(new javax.swing.JFrame(), true);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });
                dialog.setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JPanel PanelData;
    protected javax.swing.JButton btnAnnuler;
    private javax.swing.JButton btnDelAdresse;
    private javax.swing.JButton btnDelCnu;
    private javax.swing.JButton btnDelCorps;
    private javax.swing.JButton btnDelGrade;
    private javax.swing.JButton btnDelProfession;
    private javax.swing.JButton btnDelTypeContrat;
    private javax.swing.JButton btnDelUai;
    private javax.swing.JButton btnGetCnu;
    private javax.swing.JButton btnGetCorps;
    private javax.swing.JButton btnGetGrade;
    private javax.swing.JButton btnGetProfession;
    private javax.swing.JButton btnGetUai;
    private javax.swing.JButton btnSelectTypeContrat;
    protected javax.swing.JButton btnValider;
    private javax.swing.JCheckBox checkAutorisationCumul;
    private javax.swing.JCheckBox checkDepassementAuto;
    private javax.swing.JCheckBox checkEnseignant;
    private javax.swing.JCheckBox checkPaiementPonctuel;
    private javax.swing.JCheckBox checkPersEtab;
    private javax.swing.JCheckBox checkSigne;
    private javax.swing.JCheckBox checkTitulaire;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel14;
    private javax.swing.JLabel jLabel15;
    private javax.swing.JLabel jLabel16;
    private javax.swing.JLabel jLabel17;
    private javax.swing.JLabel jLabel18;
    private javax.swing.JLabel jLabel19;
    private javax.swing.JLabel jLabel20;
    private javax.swing.JLabel jLabel21;
    private javax.swing.JLabel jLabel22;
    private javax.swing.JLabel jLabel23;
    private javax.swing.JLabel jLabel24;
    private javax.swing.JLabel jLabel25;
    private javax.swing.JLabel jLabel26;
    private javax.swing.JLabel jLabel27;
    private javax.swing.JLabel jLabel28;
    private javax.swing.JLabel jLabel29;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JSeparator jSeparator1;
    private javax.swing.JSeparator jSeparator2;
    private javax.swing.JComboBox popupVilles;
    private javax.swing.JPanel swapViewEmployeurs;
    protected javax.swing.JTextField tfAdresse;
    private javax.swing.JTextField tfCodeCnu;
    protected javax.swing.JTextField tfCodePostal;
    protected javax.swing.JTextField tfComplement;
    protected javax.swing.JTextField tfDateDebut;
    protected javax.swing.JTextField tfDateFin;
    protected javax.swing.JTextField tfEnseignement;
    private javax.swing.JTextField tfHeures;
    private javax.swing.JTextField tfHeuresRealisees;
    private javax.swing.JTextField tfIdentite;
    private javax.swing.JTextField tfLibelleCnu;
    protected javax.swing.JTextField tfLibelleCorps;
    protected javax.swing.JTextField tfLibelleGrade;
    protected javax.swing.JTextField tfLibelleProfession;
    private javax.swing.JTextField tfNoArrete;
    protected javax.swing.JTextField tfObservations;
    private javax.swing.JTextField tfTauxHoraire;
    private javax.swing.JTextField tfTauxHoraireRealise;
    protected javax.swing.JTextField tfTypeContrat;
    protected javax.swing.JTextField tfUai;
    private javax.swing.JPanel viewAdresseVacation;
    private javax.swing.JPanel viewTypeContrat;
    // End of variables declaration//GEN-END:variables
    
    private void initGui() {
        
    	btnValider.setIcon(CocktailIcones.ICON_VALID);
    	btnAnnuler.setIcon(CocktailIcones.ICON_CANCEL);
    	btnDelAdresse.setIcon(CocktailIcones.ICON_DELETE);
    	btnGetCorps.setIcon(CocktailIcones.ICON_SELECT_16);
    	btnGetGrade.setIcon(CocktailIcones.ICON_SELECT_16);
    	btnDelCorps.setIcon(CocktailIcones.ICON_DELETE);
    	btnDelGrade.setIcon(CocktailIcones.ICON_DELETE);
    	btnGetProfession.setIcon(CocktailIcones.ICON_SELECT_16);
    	btnDelProfession.setIcon(CocktailIcones.ICON_DELETE);
    	btnGetUai.setIcon(CocktailIcones.ICON_SELECT_16);
    	btnDelUai.setIcon(CocktailIcones.ICON_DELETE);
    	
    	btnSelectTypeContrat.setIcon(CocktailIcones.ICON_SELECT_16);
    	btnDelTypeContrat.setIcon(CocktailIcones.ICON_DELETE);

    	btnGetCnu.setIcon(CocktailIcones.ICON_SELECT_16);
    	btnDelCnu.setIcon(CocktailIcones.ICON_DELETE);

    }

	public javax.swing.JButton getBtnAnnuler() {
		return btnAnnuler;
	}

	public void setBtnAnnuler(javax.swing.JButton btnAnnuler) {
		this.btnAnnuler = btnAnnuler;
	}

	public javax.swing.JButton getBtnDelAdresse() {
		return btnDelAdresse;
	}

	public void setBtnDelAdresse(javax.swing.JButton btnDelAdresse) {
		this.btnDelAdresse = btnDelAdresse;
	}

	public javax.swing.JButton getBtnDelCorps() {
		return btnDelCorps;
	}

	public void setBtnDelCorps(javax.swing.JButton btnDelCorps) {
		this.btnDelCorps = btnDelCorps;
	}

	public javax.swing.JButton getBtnDelGrade() {
		return btnDelGrade;
	}

	public void setBtnDelGrade(javax.swing.JButton btnDelGrade) {
		this.btnDelGrade = btnDelGrade;
	}

	public javax.swing.JButton getBtnDelProfession() {
		return btnDelProfession;
	}

	public void setBtnDelProfession(javax.swing.JButton btnDelProfession) {
		this.btnDelProfession = btnDelProfession;
	}

	public javax.swing.JButton getBtnGetCorps() {
		return btnGetCorps;
	}

	public void setBtnGetCorps(javax.swing.JButton btnGetCorps) {
		this.btnGetCorps = btnGetCorps;
	}

	public javax.swing.JButton getBtnGetGrade() {
		return btnGetGrade;
	}

	public void setBtnGetGrade(javax.swing.JButton btnGetGrade) {
		this.btnGetGrade = btnGetGrade;
	}

	public javax.swing.JButton getBtnGetProfession() {
		return btnGetProfession;
	}

	public void setBtnGetProfession(javax.swing.JButton btnGetProfession) {
		this.btnGetProfession = btnGetProfession;
	}

	public javax.swing.JButton getBtnValider() {
		return btnValider;
	}

	public void setBtnValider(javax.swing.JButton btnValider) {
		this.btnValider = btnValider;
	}

	public javax.swing.JCheckBox getCheckPaiementPonctuel() {
		return checkPaiementPonctuel;
	}

	public void setCheckPaiementPonctuel(javax.swing.JCheckBox checkPaiementPonctuel) {
		this.checkPaiementPonctuel = checkPaiementPonctuel;
	}

	public javax.swing.JCheckBox getCheckSigne() {
		return checkSigne;
	}

	public void setCheckSigne(javax.swing.JCheckBox checkSigne) {
		this.checkSigne = checkSigne;
	}

	public javax.swing.JComboBox getPopupVilles() {
		return popupVilles;
	}

	public void setPopupVilles(javax.swing.JComboBox popupVilles) {
		this.popupVilles = popupVilles;
	}

	public javax.swing.JPanel getSwapViewEmployeurs() {
		return swapViewEmployeurs;
	}

	public void setSwapViewEmployeurs(javax.swing.JPanel swapViewEmployeurs) {
		this.swapViewEmployeurs = swapViewEmployeurs;
	}

	public javax.swing.JTextField getTfAdresse() {
		return tfAdresse;
	}

	public void setTfAdresse(javax.swing.JTextField tfAdresse) {
		this.tfAdresse = tfAdresse;
	}

	public javax.swing.JTextField getTfCodePostal() {
		return tfCodePostal;
	}

	public void setTfCodePostal(javax.swing.JTextField tfCodePostal) {
		this.tfCodePostal = tfCodePostal;
	}

	public javax.swing.JTextField getTfComplement() {
		return tfComplement;
	}

	public void setTfComplement(javax.swing.JTextField tfComplement) {
		this.tfComplement = tfComplement;
	}

	public javax.swing.JTextField getTfDateDebut() {
		return tfDateDebut;
	}

	public void setTfDateDebut(javax.swing.JTextField tfDateDebut) {
		this.tfDateDebut = tfDateDebut;
	}

	public javax.swing.JTextField getTfDateFin() {
		return tfDateFin;
	}

	public void setTfDateFin(javax.swing.JTextField tfDateFin) {
		this.tfDateFin = tfDateFin;
	}

	public javax.swing.JTextField getTfEnseignement() {
		return tfEnseignement;
	}

	public void setTfEnseignement(javax.swing.JTextField tfEnseignement) {
		this.tfEnseignement = tfEnseignement;
	}

	public javax.swing.JTextField getTfHeures() {
		return tfHeures;
	}

	public void setTfHeures(javax.swing.JTextField tfHeures) {
		this.tfHeures = tfHeures;
	}

	public javax.swing.JTextField getTfHeuresRealisees() {
		return tfHeuresRealisees;
	}

	public void setTfHeuresRealisees(javax.swing.JTextField tfHeuresRealisees) {
		this.tfHeuresRealisees = tfHeuresRealisees;
	}

	public javax.swing.JTextField getTfLibelleCorps() {
		return tfLibelleCorps;
	}

	public void setTfLibelleCorps(javax.swing.JTextField tfLibelleCorps) {
		this.tfLibelleCorps = tfLibelleCorps;
	}

	public javax.swing.JTextField getTfLibelleGrade() {
		return tfLibelleGrade;
	}

	public void setTfLibelleGrade(javax.swing.JTextField tfLibelleGrade) {
		this.tfLibelleGrade = tfLibelleGrade;
	}

	public javax.swing.JTextField getTfLibelleProfession() {
		return tfLibelleProfession;
	}

	public void setTfLibelleProfession(javax.swing.JTextField tfLibelleProfession) {
		this.tfLibelleProfession = tfLibelleProfession;
	}

	public javax.swing.JTextField getTfNoArrete() {
		return tfNoArrete;
	}

	public void setTfNoArrete(javax.swing.JTextField tfNoArrete) {
		this.tfNoArrete = tfNoArrete;
	}

	public javax.swing.JTextField getTfObservations() {
		return tfObservations;
	}

	public void setTfObservations(javax.swing.JTextField tfObservations) {
		this.tfObservations = tfObservations;
	}

	public javax.swing.JTextField getTfTauxHoraire() {
		return tfTauxHoraire;
	}

	public void setTfTauxHoraire(javax.swing.JTextField tfTauxHoraire) {
		this.tfTauxHoraire = tfTauxHoraire;
	}

	public javax.swing.JTextField getTfTauxHoraireRealise() {
		return tfTauxHoraireRealise;
	}

	public void setTfTauxHoraireRealise(javax.swing.JTextField tfTauxHoraireRealise) {
		this.tfTauxHoraireRealise = tfTauxHoraireRealise;
	}
	public javax.swing.JTextField getTfIdentite() {
		return tfIdentite;
	}

	public void setTfIdentite(javax.swing.JTextField tfIdentite) {
		this.tfIdentite = tfIdentite;
	}

	public javax.swing.JCheckBox getCheckEnseignant() {
		return checkEnseignant;
	}

	public void setCheckEnseignant(javax.swing.JCheckBox checkEnseignant) {
		this.checkEnseignant = checkEnseignant;
	}

	public javax.swing.JCheckBox getCheckTitulaire() {
		return checkTitulaire;
	}

	public void setCheckTitulaire(javax.swing.JCheckBox checkTitulaire) {
		this.checkTitulaire = checkTitulaire;
	}

	public javax.swing.JButton getBtnDelCnu() {
		return btnDelCnu;
	}

	public void setBtnDelCnu(javax.swing.JButton btnDelCnu) {
		this.btnDelCnu = btnDelCnu;
	}

	public javax.swing.JButton getBtnGetCnu() {
		return btnGetCnu;
	}

	public void setBtnGetCnu(javax.swing.JButton btnGetCnu) {
		this.btnGetCnu = btnGetCnu;
	}

	public javax.swing.JTextField getTfCodeCnu() {
		return tfCodeCnu;
	}

	public void setTfCodeCnu(javax.swing.JTextField tfCodeCnu) {
		this.tfCodeCnu = tfCodeCnu;
	}

	public javax.swing.JTextField getTfLibelleCnu() {
		return tfLibelleCnu;
	}

	public void setTfLibelleCnu(javax.swing.JTextField tfLibelleCnu) {
		this.tfLibelleCnu = tfLibelleCnu;
	}

	public javax.swing.JCheckBox getCheckPersEtab() {
		return checkPersEtab;
	}

	public void setCheckPersEtab(javax.swing.JCheckBox checkPersEtab) {
		this.checkPersEtab = checkPersEtab;
	}

	public javax.swing.JButton getBtnDelUai() {
		return btnDelUai;
	}

	public void setBtnDelUai(javax.swing.JButton btnDelUai) {
		this.btnDelUai = btnDelUai;
	}

	public javax.swing.JButton getBtnGetUai() {
		return btnGetUai;
	}

	public void setBtnGetUai(javax.swing.JButton btnGetUai) {
		this.btnGetUai = btnGetUai;
	}

	public javax.swing.JTextField getTfUai() {
		return tfUai;
	}

	public void setTfUai(javax.swing.JTextField tfUai) {
		this.tfUai = tfUai;
	}

	public javax.swing.JButton getBtnDelTypeContrat() {
		return btnDelTypeContrat;
	}

	public void setBtnDelTypeContrat(javax.swing.JButton btnDelTypeContrat) {
		this.btnDelTypeContrat = btnDelTypeContrat;
	}

	public javax.swing.JButton getBtnSelectTypeContrat() {
		return btnSelectTypeContrat;
	}

	public void setBtnSelectTypeContrat(javax.swing.JButton btnSelectTypeContrat) {
		this.btnSelectTypeContrat = btnSelectTypeContrat;
	}

	public javax.swing.JTextField getTfTypeContrat() {
		return tfTypeContrat;
	}

	public void setTfTypeContrat(javax.swing.JTextField tfTypeContrat) {
		this.tfTypeContrat = tfTypeContrat;
	}

	public javax.swing.JPanel getViewTypeContrat() {
		return viewTypeContrat;
	}
	public void setViewTypeContrat(javax.swing.JPanel viewTypeContrat) {
		this.viewTypeContrat = viewTypeContrat;
	}
	public javax.swing.JPanel getViewAdresseVacation() {
		return viewAdresseVacation;
	}
	public void setViewAdresseVacation(javax.swing.JPanel viewAdresseVacation) {
		this.viewAdresseVacation = viewAdresseVacation;
	}

	public javax.swing.JCheckBox getCheckDepassementAuto() {
		return checkDepassementAuto;
	}

	public void setCheckDepassementAuto(javax.swing.JCheckBox checkDepassementAuto) {
		this.checkDepassementAuto = checkDepassementAuto;
	}

	public javax.swing.JCheckBox getCheckAutorisationCumul() {
		return checkAutorisationCumul;
	}

	public void setCheckAutorisationCumul(
			javax.swing.JCheckBox checkAutorisationCumul) {
		this.checkAutorisationCumul = checkAutorisationCumul;
	}
    
}
